
function removeCls(el, cls){
	/*
        if(!u.isElement(el)){
            console.warn('$api.addCls Function need el param, el param must be DOM Element');
            return;
        }*/
        if('classList' in el){
            el.classList.add(cls);
        }else{
            var preCls = el.className;
            var newCls = preCls +' '+ cls;
            el.className = newCls;
        }
        return el;
    };
function addCls(el, cls){
	/*
        if(!u.isElement(el)){
            console.warn('$api.removeCls Function need el param, el param must be DOM Element');
            return;
        }*/
        if('classList' in el){
            el.classList.remove(cls);
        }else{
            var preCls = el.className;
            var newCls = preCls.replace(cls, '');
            el.className = newCls;
        }
        return el;
    };

var EARTH_RADIUS = 6378137.0;    //单位M
var PI = Math.PI;

function Rad(d){
        return d*PI/180.0;
    }

function getFlatternDistance(lat1,lng1,lat2,lng2){
        var radLat1 = Rad(lat1);
        var radLat2 = Rad(lat2);
        var a = radLat1 - radLat2;
        var  b = Rad(lng1) - Rad(lng2);
        var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a/2),2) +
        Math.cos(radLat1)*Math.cos(radLat2)*Math.pow(Math.sin(b/2),2)));
        s = s *6378.137 ;// EARTH_RADIUS;
        s = Math.round(s * 10000) / 10000; //输出为公里
        s=s.toFixed(2);
        return s;
}

var chi_baidu_ak = "GDK0qDUvlqGMBlvQMUqXsUen";
var baidu_geo_url = "http://api.map.baidu.com/geocoder/v2/";
var baidu_place_search_url = "http://api.map.baidu.com/place/v2/search";

var chi_location_key = "chi_location_key";
var chi_geo_key = "chi_geo_key";
var chi_user_geo_key = "chi_user_geo_key";
var chi_user_location_key = "chi_user_location_key";

function chiSetLocation(user_location)
{
	plus.storage.setItem(chi_location_key, JSON.stringify(user_location));
}

function chiGetLocation(callback)
{
	return JSON.parse(plus.storage.getItem(chi_location_key)); 
}

function chiSetUserLocation(user_location)
{
	plus.storage.setItem(chi_user_location_key, JSON.stringify(user_location));
}

function chiGetUserLocation()
{
	return JSON.parse(plus.storage.getItem(chi_user_location_key)); 
}

function chiClearUserLocation()
{
	plus.storage.removeItem(chi_user_location_key);
}

function chiSaveLocationToStorage(lat, lng)
{
	var location = {};
	location.lat = lat;
	location.lng = lng;
	
	$api.setStorage(chi_location_key, location);
}

function chiGetLocationFromStorage()
{
	return $api.getStorage(chi_location_key);
}

function chiGetGeo(lat, lng, pois, callback)
{
	var url = baidu_geo_url + '?ak=' + chi_baidu_ak + '&location=' + lat + ',' + lng + '&output=json&pois='+pois;
	/*
	api.ajax({
	    url: baidu_geo_url + '?ak=' + chi_baidu_ak + '&location=' + lat + ',' + lng + '&output=json&pois='+pois,
	    method: 'get',
    },callback);
    */
	mui.ajax(url,{
	dataType:'json',
	success:callback
	},callback);
}

function chiSaveGeoToStorage(geo)
{
	$api.setStorage(chi_geo_key, geo);
}

function chiGetGeoFromStorage()
{
	return $api.getStorage(chi_geo_key);
}

function chiSearchPlace(lat, lng, query, callback)
{
	var url = baidu_place_search_url + '?ak=' + chi_baidu_ak + '&location=' + lat + ',' + lng + '&query=' + query + '&output=json&radius=50000';
	/*
	api.ajax({
	    url: baidu_place_search_url + '?ak=' + chi_baidu_ak + '&location=' + lat + ',' + lng + '&query=' + query + '&output=json&radius=10000',
	    method: 'get',
    },callback);
    */
    mui.ajax(url,{
	dataType:'json',
	type:'get',
	success:callback
	},callback);
}

function chiSetUserGeo(geo)
{
	$api.setStorage(chi_user_geo_key, geo);
}

function chiGetUserGeo()
{
	return $api.getStorage(chi_user_geo_key);
}

function chiClearUserGeo()
{
	$api.rmStorage(chi_user_geo_key);
}

var chi_url_prefix="http://chu.chijidun.com/chiApi/";
var chi_index_get_url=chi_url_prefix+"index/get";

var chi_user_login_url = chi_url_prefix + "user/login";
var chi_user_register_url = chi_url_prefix + "user/register";
var chi_user_get_url = chi_url_prefix + "user/get";
var chi_user_update_url = chi_url_prefix + "user/update";
var chi_user_exist_url = chi_url_prefix + "user/exist";
var chi_user_avatar_url = chi_url_prefix + "user/avatar";
var chi_user_resetPassword_url = chi_url_prefix + "user/resetPassword";

var chi_member_lists_url=chi_url_prefix+"member/lists";
var chi_member_get_url = chi_url_prefix + "member/get";
var chi_member_favs_lists_url = chi_url_prefix + "member_favs/lists";
var chi_member_favs_add_url = chi_url_prefix + "member_favs/add";
var chi_member_favs_delete_url = chi_url_prefix + "member_favs/delete";

var chi_cart_add_url = chi_url_prefix + "cart/add";
var chi_cart_delete_url = chi_url_prefix + "cart/delete";
var chi_cart_lists_url = chi_url_prefix + "cart/lists";
var chi_cart_update_url = chi_url_prefix + "cart/update";

var chi_order_lists_url = chi_url_prefix + "order/lists";
var chi_order_get_url = chi_url_prefix + "order/get";
var chi_order_add_url = chi_url_prefix + "order/add";
var chi_order_delete_url = chi_url_prefix + "order/delete";
var chi_order_close_url = chi_url_prefix + "order/orderClose";
var chi_order_confirm_url = chi_url_prefix + "order/orderConfirm";
var chi_order_pay_url = chi_url_prefix + "order/pay";
var chi_order_refund_url = chi_url_prefix + "order/add_order_refund";
var chi_user_like_add_url = chi_url_prefix + "user_like/add";
var chi_user_like_delete_url = chi_url_prefix + "user_like/delete";

var chi_user_address_add_url = chi_url_prefix +"user_address/add";
var chi_user_address_delete_url = chi_url_prefix +"user_address/delete";
var chi_user_address_get_url = chi_url_prefix +"user_address/get";
var chi_user_address_lists_url = chi_url_prefix +"user_address/lists";
var chi_user_address_update_url = chi_url_prefix +"user_address/update";

var chi_quan_lists_url = chi_url_prefix +"quan/lists";
var chi_exchange_quan_url = chi_url_prefix +"quan/exchange_quan";

var chi_send_verify_code_url = chi_url_prefix + "sms/send_verify_code";

function GetDateStr(AddDayCount) {
    var dd = new Date();
    dd.setDate(dd.getDate()+AddDayCount);//获取AddDayCount天后的日期
    var y = dd.getFullYear();
    var m = dd.getMonth()+1;//获取当前月份的日期
    var d = dd.getDate();
    return y+"-"+m+"-"+d;
}
function CompareDate(a, b)
{
	var arr = a.split("-");
    var starttime = new Date(arr[0], arr[1], arr[2]);
    var starttimes = starttime.getTime();

    var arrs = b.split("-");
    var lktime = new Date(arrs[0], arrs[1], arrs[2]);
    var lktimes = lktime.getTime();

    if (starttimes >= lktimes)
    {
        //alert("a >= b");
        return true;
    }
    else
    {
    	//alert("a<b");
        return false;
    }
}

var chi_login_key = "login";
function chiClearLogin()
{
	plus.storage.setItem(chi_login_key, "no");
}

function chiSetLogin()
{
	plus.storage.setItem(chi_login_key, "yes");
}

function chiIsLogin()
{
	var login = plus.storage.getItem(chi_login_key);
	if (login && login == "yes")
	{
		return true;
	}
	else
	{
		return false;
	}
}

var chi_user_login_key = "chi_user_login_key";

function chiSetLoginInfo(tele, pass)
{
	var login = {};
	login.tele = tele;
	login.pass = pass;
	plus.storage.setItem(chi_user_login_key, JSON.stringify(login));
	//$api.setStorage(chi_user_login_key, login);
}

function chiGetLoginInfo()
{
	//return $api.getStorage(chi_user_login_key);
	return JSON.parse(plus.storage.getItem(chi_user_login_key)); 
}

function chiClearLoginInfo()
{
	plus.storage.removeItem(chi_user_login_key);
}

var chi_user_info_key = "user_info";
function chiSetUserInfo(user_info)
{
	//$api.setStorage(chi_user_info_key, user_info);
	plus.storage.setItem(chi_user_info_key, JSON.stringify(user_info));
}

function chiGetUserInfo()
{
	//return $api.getStorage(chi_user_info_key);
	return JSON.parse(plus.storage.getItem(chi_user_info_key));
}

function chiClearUserInfo()
{
	plus.storage.removeItem(chi_user_info_key);
}

var chi_url_token_key = "url_token";
function chiSetUrlToken(token)
{
	//$api.setStorage(chi_url_token_key, token);
	plus.storage.setItem(chi_url_token_key, JSON.stringify(token));
}

function chiGetUrlToken(token)
{
	//return $api.getStorage(chi_url_token_key);
	return JSON.parse(plus.storage.getItem(chi_url_token_key)); 
}

function chiUserLogin(tele, pass, callback)
{
	/*
	var post_data = '{"tele":"'+tele+'","password":"'+password+'"}';
	api.ajax({
	    url: chi_user_login_url,
	    method: 'post',
	    data: {
	    	values: {data: post_data}
	    }
    },callback);*/
    
    var post_data = '{"tele":"'+tele+'","password":"'+pass+'"}';
	mui.ajax(chi_user_login_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}

function chiUserLoginCallBack(ret)
{
	var user_info = [];
    
    if (ret)
    {
    	if (ret.status != 1)
    	{
    		return false;
    	}

    	chiSetUserInfo(ret.data);
    	chiSetLogin();
    	
    	return true;
    }
    else
    {
    	return false;
    }
}

function chiUserGet(callback)
{
	var user_info = chiGetUserInfo();
	
	mui.ajax(chi_user_get_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token
	},
	success:callback
	},callback);
}

function chiUserExist(tele, callback)
{
	var post_data = '{"tele":"'+tele+'"}';
	
    mui.ajax(chi_user_exist_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}

function chiUserRegister(tele, password, callback)
{
	var post_data = '{"tele":"'+tele+'","password":"'+password+'"}';
	
	mui.ajax(chi_user_register_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}

function chiResetPassword(tele, pass, callback)
{
	var post_data = '{"tele":"'+tele+'","newpassword":"'+pass+'"}';
	
	mui.ajax(chi_user_resetPassword_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}

function chiUserUpdate(data, callback)
{
	var user_info = chiGetUserInfo();
	var data_str = JSON.stringify(data);
	
	mui.ajax(chi_user_update_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: data_str
	},
	success:callback
	},callback);
}

function chiUserAvatar(id, avatar, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"id":"'+id+'","file":"'+avatar+'"}';
	
	mui.ajax(chi_user_avatar_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetIndex(callback){
	mui.ajax(chi_index_get_url,{
	dataType:'json',
	type:'post',
	success: callback
    },callback);
}

function chiGetMemberLists(lng, lat, dis, page, per_page, callback)
{
	//var post_data = '{"page":"1","perPage":"100","pos_lat":"30.261474","pos_lng":"120.102038"}';
	var post_data = '{"page":"'+page+'","perPage":"'+per_page+'","pos_lat":"'+lat+'","pos_lng":"'+lng+'"}';
	mui.ajax(chi_member_lists_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}
/*
function chiGetMemberDetail(id, days, callback)
{
	var post_data = '{"id":"'+id+'","days":"'+days+'"}';
	api.ajax({
	url: chi_member_get_url,
	method: 'post',
	data: {
		values: {data: post_data}
		}
	},callback);
}*/
function chiGetMemberDetail(id, callback)
{
	var post_data = '{"id":"'+id+'"}';
	mui.ajax(chi_member_get_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetMemberFavsList(callback)
{
	var user_info = chiGetUserInfo();
	
	mui.ajax(chi_member_favs_lists_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
	},
	success:callback
	},callback);
}

function chiAddMemberFavs(mid, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"mid":"'+mid+'"}';
	
	mui.ajax(chi_member_favs_add_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiDeleteMemberFavs(mid, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"mid":"'+mid+'"}';
	
	mui.ajax(chi_member_favs_delete_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetCart(callback)
{
	var user_info = chiGetUserInfo();

	mui.ajax(chi_cart_lists_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
	},
	success:callback
	},callback);
}

function chiAddCart(item, callback)
{
	var user_info = chiGetUserInfo();
	
	mui.ajax(chi_cart_add_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: JSON.stringify(item)
	},
	success:callback
	},callback);
}

function chiDeleteCart(id, callback)
{
	var user_info = chiGetUserInfo();
	//var post_data = '{"id":"'+id+'"}';
	var post_data = '{"items":[{"id":"'+id+'"}]}';
	
	mui.ajax(chi_cart_delete_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiUpdateCart(data, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = JSON.stringify(data);
	
	//alert(post_data);
	//return;
	mui.ajax(chi_cart_update_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiAddOrder(order, callback)
{
	var user_info = chiGetUserInfo();
	mui.ajax(chi_order_add_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: JSON.stringify(order)
	},
	success:callback
	},callback);
}

function chiDeleteOrder(id, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"id":"'+id+'"}';
	
	mui.ajax(chi_order_delete_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiCloseOrder(id, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"id":"'+id+'"}';
	
	mui.ajax(chi_order_close_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiConfirmOrder(id, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"id":"'+id+'"}';
	
	mui.ajax(chi_order_confirm_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetOrderLists(status, page, per_page, callback)
{
	var post_data;
	var user_info = chiGetUserInfo();
	
	if (status >=0 )
	{
		post_data = '{"status":"'+status+'","page":"'+page+'","perPage":"'+per_page+'"}';
	}
	else
	{
		post_data = '{"page":"'+page+'","perPage":"'+per_page+'"}';
	}
	
	mui.ajax(chi_order_lists_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetOrder(id, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"id":"'+id+'"}';
	
	mui.ajax(chi_order_get_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiOrderPay(oid, pays_id, pays, platform, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = "";
	
	if (oid == "")
	{
		post_data = '{"pays_id":"'+pays_id+'","pays":"'+pays+'","platform":"'+platform+'"}';
	}
	else
	{
		post_data = '{"id":"'+oid+'","pays":"'+pays+'","platform":"'+platform+'"}';
	}
	
	mui.ajax(chi_order_pay_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiAddOrderRefund(order_id,type,account,alipay_name,info,remark, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = "";
	
	//if (name != "")
	//{
		post_data = '{"order_id":"'+order_id+'","type":"'+type+'","account":"'+account+'","alipay_name":"'+alipay_name+'","info":"'+info+'","remark":"'+remark+'"}';
	//}
	//else
	//{
	//	post_data = '{"orderid":"'+order_id+',"type":"'+type+'","account":"'+account+'","info":"'+info+'","remark":"'+remark+'"}';
	//}
	//alert(post_data);
	//return ;
	mui.ajax(chi_order_refund_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetUserAddressLists(callback)
{
	var user_info = chiGetUserInfo();

	mui.ajax(chi_user_address_lists_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
	},
	success:callback
	},callback);
}

function chiAddUserAddress(addr, callback)
{
	var user_info = chiGetUserInfo();

	mui.ajax(chi_user_address_add_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: JSON.stringify(addr)
	},
	success:callback
	},callback);
}

function chiUpdateUserAddress(addr, callback)
{
	var user_info = chiGetUserInfo();

	mui.ajax(chi_user_address_update_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: JSON.stringify(addr)
	},
	success:callback
	},callback);
}

function chiDeleteUserAddress(id, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"id":"'+id+'"}';
	
	mui.ajax(chi_user_address_delete_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiGetQuanLists(callback)
{
	var user_info = chiGetUserInfo();
	
	mui.ajax(chi_quan_lists_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
	},
	success:callback
	},callback);
}

function chiExchangeQuan(code, callback)
{
	var user_info = chiGetUserInfo();
	var post_data = '{"code":"'+code+'"}';
	
	mui.ajax(chi_exchange_quan_url,{
	dataType:'json',
	type:'post',
	data: {
		token: user_info.token,
		data: post_data
	},
	success:callback
	},callback);
}

function chiSendVerifyCode(tele, callback)
{
	var post_data = '{"tele":"'+tele+'"}';
	
	mui.ajax(chi_send_verify_code_url,{
	dataType:'json',
	type:'post',
	data: {
		data: post_data
	},
	success:callback
	},callback);
}
